package data

import (
	"testing"

	"cloud.o-forge.io/core/oc-lib/models/resource_model"
	"cloud.o-forge.io/core/oc-lib/models/utils"

	"github.com/stretchr/testify/assert"
)

func TestStoreOneData(t *testing.T) {
	d := DataResource{DataType: "jpeg", Example: "123456",
		AbstractResource: resource_model.AbstractResource{
			AbstractObject: utils.AbstractObject{Name: "testData"},
			Description:    "Lorem Ipsum",
			Logo:           "azerty.com",
			Owner:          "toto",
			OwnerLogo:      "totoLogo",
			SourceUrl:      "azerty.fr",
		},
	}

	dma := New()
	id, _, _ := dma.StoreOne(&d)

	assert.NotEmpty(t, id)
}

func TestLoadOneDate(t *testing.T) {
	d := DataResource{DataType: "jpeg", Example: "123456",
		AbstractResource: resource_model.AbstractResource{
			AbstractObject: utils.AbstractObject{Name: "testData"},
			Description:    "Lorem Ipsum",
			Logo:           "azerty.com",
			Owner:          "toto",
			OwnerLogo:      "totoLogo",
			SourceUrl:      "azerty.fr",
		},
	}

	dma := New()
	new_d, _, _ := dma.StoreOne(&d)
	assert.Equal(t, d, new_d)
}
